# Class ModelerSource

java.lang.Object
org.apache.tomcat.util.modeler.modules.ModelerSource

Direct Known Subclasses:
  `MbeansDescriptorsDigesterSource, MbeansDescriptorsIntrospectionSource`

public abstract class ModelerSource extends Object
Source for descriptor data. More sources can be added.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final StringManager`
`sm`
`protected Object`
`source`

## Constructor Summary

Constructors
Constructor
Description
`ModelerSource()`

## Method Summary

Modifier and Type
Method
Description
`abstract List<ObjectName>`
`loadDescriptors(Registry registry, String type, Object source)`
Load data, returns a list of items.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sm

protected static final StringManager sm

### source

protected Object source

## Constructor Details

### ModelerSource

public ModelerSource()

## Method Details

### loadDescriptors

public abstract List<ObjectName> loadDescriptors(Registry registry, String type, Object source) throws Exception
Load data, returns a list of items.

Parameters:
  `registry` - The registry
  `type` - The bean registry type
  `source` - Introspected object or some other source
Returns:
  a list of object names
Throws:
  `Exception` - Error loading descriptors